Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Interface TextParent

All Superinterfaces:
  XDSElement

All Known Subinterfaces:
  ParamElement

All Known Implementing Classes:
  DescriptionElement, NonXDSElement, XDSAddAssociationElement, XDSAssociationElement, XDSComponentElement, XDSContactElement, XDSNewNameElement, XDSOldPasswordElement, XDSPasswordElement, XDSProductElement, XDSQueryTokenElement, XDSRemoveAssociationElement, XDSServerElement, XDSStatusElement, XDSUserElement, XDSValueElement

public interface TextParent
extends XDSElement

Any XDS element that contains zero or more child text nodes.

This class is equivalent to the #PCDATA or mixed content model. Elements of mixed content may contain zero or more text nodes. Implementing classes typically contain data values.

Method Summary
`void` | `appendText(String someText)` Appends a single, child text node containing `someText` to this element.
`String` | `extractText()` Returns the concatenated child text nodes of this element.

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### extractText

    public String extractText()

  Returns the concatenated child text nodes of this element.

  Invocation Context:
    READ

  Returns:
    all of the child text nodes of this element; may be `null`; will not return `""`

### appendText

    public void appendText(String someText)

  Appends a single, child text node containing `someText` to this element.

  Invocation Context:
    WRITE

  Parameters:
    `someText` - the text being appended; if `null` or `""`, no action is taken

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD